﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Keithley 196: ADJ IEEE /5700A
DATE:                  2010-06-08 05:28:24
AUTHOR:                Fluke
REVISION:              $Revision: 18053 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       370
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Procedure Author:
#        DFM
# 
#  Source:
#        Keithley Model 196 System DMM Instruction Manual, Fourth Printing
#         January 1992, Document Number: 196-901-01 Rev. D
# 
#  Compatibility:
#        MET/CAL 7.20 SP1 or later
# 
#  Additional Equipment Required:
#        Twisted lead, shielded PTFE test cables, Fluke Part No. 738716 (2')
#          or Part No. 738724 (4') cables
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J             C            F        V

  1.002  IF           NOT(VERSIONCHECK("7.20Z"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright

  1.006  HEAD         PRELIMINARY INSTRUCTIONS

  1.007  DISP         Prior to beginning calibration, a warm-up time of
  1.007  DISP         2 hours (minimum), in an environment of 23°C ± 1°C
  1.007  DISP         and relative humidity of less than 70% must have
  1.007  DISP         been allowed to elapse.
  1.007  DISP
  1.007  DISP         If the UUT has been subjected to extremes of either
  1.007  DISP         temperature or humidity, allow an additional hour for
  1.007  DISP         the instrument to stabilize prior to calibration.

  1.008  CALL         Sub High Voltage Safety Warning
  1.009  CALL         Sub UUT Connection GPIB

  1.010  DO
  1.011  IEEE         U8X[I]

  1.012  IF           MEM
  1.013  DISP         Place the FRONT/REAR switch (on rear) to the FRONT
  1.013  DISP         setting (depressed).
  1.014  ENDIF

  1.015  UNTIL        NOT(MEM)

  1.016  HEAD         CALIBRATION SWITCH

  1.017  DO
  1.018  DISP         Place the UUT CALIBRATION switch (located on the lower
  1.018  DISP         right of the front panel) to the ENABLED position to
  1.018  DISP         allow calibration constant storage upon completion.

  1.019  IEEE         U0X[I$]
  1.020  UNTIL        SUB(MEM2, 31, 1)

  1.021  HEAD         DC VOLTS CALIBRATION

  1.022  DISP         Make the following connections:
  1.022  DISP
  1.022  DISP         [32]        5700A         to         UUT
  1.022  DISP         [32]  OUTPUT V/OHMS HI -------> VOLTS OHMS HI
  1.022  DISP         [32]  OUTPUT V/OHMS LO -------> VOLTS OHMS LO
  1.022  DISP         [32]   SENSE V/OHMS HI -------> OHMS SENSE HI
  1.022  DISP         [32]   SENSE V/OHMS LO -------> OHMS SENSE LO
  1.022  DISP         [32] AUX CURRENT OUTPUT ------> AMPS

  1.023  HEAD         -2 300 mV Range
  1.024  IEEE         F0R1X
  1.025  5700         300mV                                             S  2W
  1.026  WAIT         -t 7 System Settling...
  1.027  IEEE         V300E-3XC0X[I]
  1.028  5700         0mV                                               S  2W
  1.029  WAIT         -t 5 System Settling...
  1.030  IEEE         V0XC1X[I]

  1.031  HEAD         -2 3 V Range
  1.032  IEEE         R2X
  1.033  5700         3V                                                S  2W
  1.034  WAIT         -t 5 System Settling...
  1.035  IEEE         V3XC0X[I]
  1.036  5700         0V                                                S  2W
  1.037  WAIT         -t 5 System Settling...
  1.038  IEEE         V0XC1X[I]

  1.039  HEAD         -2 30 V Range
  1.040  IEEE         R3X
  1.041  5700         30V                                               S  2W
  1.042  IEEE         V30XC0X[I]
  1.043  5700         0V                                                S  2W
  1.044  IEEE         V0XC1X[I]

  1.045  HEAD         -2 300 V Range
  1.046  IEEE         R4X
  1.047  5700         300V                                              S  2W
  1.048  IEEE         V300XC0X[I]
  1.049  5700         0V                                                S  2W
  1.050  IEEE         V0XC1X[I]

  1.051  HEAD         -2
  1.052  5700         *                                                 S

  1.053  HEAD         RESISTANCE CALIBRATION
  1.054  HEAD         -2 300 Ohm Range
  1.055  IEEE         F2R1X
  1.056  5700         190Z                                              S  4W
  1.057  MATH         MEM1 = FRND(MEM1, 7)
  1.058  WAIT         -t 5 System Settling...
  1.059  IEEE         V[MEM1]XC0X[I]
  1.060  5700         0Z                                                S  4W
  1.061  IEEE         V0XC1X[I]

  1.062  HEAD         -2 3 kOhm Range
  1.063  IEEE         R2X
  1.064  5700         1.9kZ                                             S  4W
  1.065  MATH         MEM1 = FRND(MEM1, 7)
  1.066  IEEE         V[MEM1]E3XC0X[I]
  1.067  5700         0Z                                                S  4W
  1.068  IEEE         V0XC1X[I]

  1.069  HEAD         -2 30 kOhm Range
  1.070  IEEE         R3X
  1.071  5700         19kZ                                              S  4W
  1.072  MATH         MEM1 = FRND(MEM1, 7)
  1.073  IEEE         V[MEM1]E3XC0X[I]
  1.074  5700         0Z                                                S  4W
  1.075  IEEE         V0XC1X[I]

  1.076  HEAD         -2 300 kOhm Range
  1.077  IEEE         R4X
  1.078  5700         190kZ                                             S  2W
  1.079  MATH         MEM1 = FRND(MEM1, 7)
  1.080  IEEE         V[MEM1]E3XC0X[I]
  1.081  5700         0Z                                                S  2W
  1.082  IEEE         V0XC1X[I]

  1.083  HEAD         -2 3 MOhm Range
  1.084  IEEE         R5X
  1.085  5700         1.9MZ                                             S  2W
  1.086  MATH         MEM1 = FRND(MEM1, 7)
  1.087  WAIT         -t 5 System Settling...
  1.088  IEEE         V[MEM1]E6XC0X[I]
  1.089  5700         0Z                                                S  2W
  1.090  IEEE         V0XC1X[I]

  1.091  HEAD         -2 30 MOhm Range
  1.092  IEEE         R6X
  1.093  5700         19MZ                                              S  2W
  1.094  MATH         MEM1 = FRND(MEM1, 7)
  1.095  WAIT         -t 10 System Settling...
  1.096  IEEE         V[MEM1]E6XC0X[I]
  1.097  5700         0Z                                                S  2W
  1.098  IEEE         V0XC1X[I]

  1.099  HEAD         -2 100 MOhm Range
  1.100  IEEE         R7X
  1.101  5700         100MZ                                             S  2W
  1.102  MATH         MEM1 = FRND(MEM1, 7)
  1.103  WAIT         -t 10 System Settling...
  1.104  IEEE         V[MEM1]E6XC0X[I]
  1.105  5700         0Z                                                S  2W
  1.106  IEEE         V0XC1X[I]

  1.107  HEAD         -2
  1.108  5700         *                                                 S

  1.109  HEAD         TRMS AC VOLTS CALIBRATION
  1.110  HEAD         -2 300 mV Range
  1.111  IEEE         F1R1X
  1.112  5700         300mV                        500H                 S  2W
  1.113  IEEE         V300E-3XC0X[I]
  1.114  5700         30mV                         500H                 S  2W
  1.115  IEEE         V30E-3XC1X[I]

  1.116  HEAD         -2 3 V Range
  1.117  IEEE         R2X
  1.118  5700         3V                           500H                 S  2W
  1.119  IEEE         V3XC0X[I]
  1.120  5700         300mV                        500H                 S  2W
  1.121  IEEE         V300E-3XC1X[I]

  1.122  HEAD         -2 30 V Range
  1.123  IEEE         R3X
  1.124  5700         30V                          500H                 S  2W
  1.125  IEEE         V30XC0X[I]
  1.126  5700         3V                           500H                 S  2W
  1.127  IEEE         V3XC1X[I]

  1.128  HEAD         -2 300 V Range
  1.129  IEEE         R4X
  1.130  5700         300V                         500H                 S  2W
  1.131  IEEE         V300XC0X[I]
  1.132  5700         30V                          500H                 S  2W
  1.133  IEEE         V30XC1X[I]

  1.134  HEAD         -2
  1.135  5700         *                                                 S

  1.136  HEAD         -2 100 V High Frequency Check (70 kHz)
  1.137  IEEE         R4X
  1.138  5700         100V                         70kH                 S  2W
  1.139  IEEE         X[I]

  1.140  IF           (MEM < 98.5) || (MEM > 101.5)
  1.141  MATH         HF_Adj = 1
  1.142  ELSE
  1.143  MATH         HF_Adj = 0
  1.144  ENDIF

  1.145  HEAD         -2 10 V High Frequency Check (70 kHz)
  1.146  IEEE         R3X
  1.147  5700         10V                          70kH                 S  2W
  1.148  IEEE         X[I]

  1.149  IF           (MEM < 9.85) || (MEM > 10.15) || HF_Adj
  1.150  OPBR         The TRMS ACV HF compensation requires hardware
  1.150  OPBR         adjustment(s).
  1.150  OPBR
  1.150  OPBR         Do you wish to ABORT the procedure now to perform
  1.150  OPBR         the adjustment?

  1.151  IF           MEM1
  1.152  DISP         Adjust the UUT ACV HF compensation in accordance with
  1.152  DISP         the UUT Operating and Service Manual, then re-execute
  1.152  DISP         this procedure in its entirety.
  1.153  END
  1.154  ENDIF

  1.155  ENDIF

  1.156  HEAD         DC CURRENT CALIBRATION
  1.157  HEAD         -2 300 µA Range
  1.158  IEEE         F3R1X
  1.159  MMFC                                                              C2
  1.160  5700         300uA                                             S  2W
  1.161  IEEE         V300E-6XC0X[I]
  1.162  5700         0uA                                               S  2W
  1.163  IEEE         V0XC1X[I]

  1.164  HEAD         -2 3 mA Range
  1.165  IEEE         R2X
  1.166  5700         3mA                                               S  2W
  1.167  IEEE         V3E-3XC0X[I]
  1.168  5700         0mA                                               S  2W
  1.169  IEEE         V0XC1X[I]

  1.170  HEAD         -2 30 mA Range
  1.171  IEEE         R3X
  1.172  5700         30mA                                              S  2W
  1.173  IEEE         V30E-3XC0X[I]
  1.174  5700         0mA                                               S  2W
  1.175  IEEE         V0XC1X[I]

  1.176  HEAD         -2 300 mA Range
  1.177  IEEE         R4X
  1.178  5700         300mA                                             S  2W
  1.179  IEEE         V300E-3XC0X[I]
  1.180  5700         0mA                                               S  2W
  1.181  IEEE         V0XC1X[I]

  1.182  HEAD         -2 3 A Range
  1.183  IEEE         R5X
  1.184  5700         2A                                                S  2W
  1.185  IEEE         V2XC0X[I]
  1.186  5700         0A                                                S  2W
  1.187  IEEE         V0XC1X[I]

  1.188  HEAD         -2
  1.189  5700         *                                                 S

  1.190  HEAD         TRMS AC CURRENT CALIBRATION
  1.191  HEAD         -2 300 µA Range
  1.192  IEEE         F4R1X
  1.193  5700         300uA                        500H                 S  2W
  1.194  IEEE         V300E-6XC0X[I]
  1.195  5700         30uA                         500H                 S  2W
  1.196  IEEE         V30E-6XC1X[I]

  1.197  HEAD         -2 3 mA Range
  1.198  IEEE         R2X
  1.199  5700         3mA                          500H                 S  2W
  1.200  IEEE         V3E-3XC0X[I]
  1.201  5700         300uA                        500H                 S  2W
  1.202  IEEE         V300E-6XC1X[I]

  1.203  HEAD         -2 30 mA Range
  1.204  IEEE         R3X
  1.205  5700         30mA                         500H                 S  2W
  1.206  IEEE         V30E-3XC0X[I]
  1.207  5700         3mA                          500H                 S  2W
  1.208  IEEE         V3E-3XC1X[I]

  1.209  HEAD         -2 300 mA Range
  1.210  IEEE         R4X
  1.211  5700         300mA                        500H                 S  2W
  1.212  IEEE         V300E-3XC0X[I]
  1.213  5700         30mA                         500H                 S  2W
  1.214  IEEE         V30E-3XC1X[I]

  1.215  HEAD         -2 3 A Range
  1.216  IEEE         R5X
  1.217  5700         2A                           500H                 S  2W
  1.218  IEEE         V2XC0X[I]
  1.219  5700         300mA                        500H                 S  2W
  1.220  IEEE         V300E-3XC1X[I]

  1.221  HEAD         -2
  1.222  5700         *                                                 S
  1.223  HEAD

  1.224  DO
  1.225  DISP         Place the UUT CALIBRATION switch (located on the lower
  1.225  DISP         right of the front panel) to the DISABLED position.

  1.226  IEEE         U0X[I$]
  1.227  UNTIL        NOT(SUB(MEM2, 31, 1))

  1.228  IEEE         [GTL]
  1.229  END
